Documentation Index

Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt

Use this file to discover all available pages before exploring further.

Clear Integration History

Prev Next
Post
/api/v1/integrations.clearHistory

Clear the history of an outgoing integration.

Any of the following permissions is required:

  • manage-outgoing-integrations
  • manage-own-outgoing-integrations (clears history only for integrations created by the calling user)

Changelog

Version Description
8.7.0 Added
Header parameters
X-Auth-Token
stringRequired

The authorization token of the user.

Example9HqLlyZOugD_0YdwAJF8V47U3QHXSq
X-User-Id
stringRequired

The user ID of the user.

ExampleaobEdbYhXfu5hkeqG
Body parameters
Example
{
  "integrationId": "nvdQuJQ6tE9HRFBzd"
}
object
integrationId
string Required

The ID of the integration whose history you want to clear.

ExamplenvdQuJQ6tE9HRFBzd
Responses
200

OK

Success Example
{
  "success": true
}
object
success
boolean
400

Bad Request

Invalid Parameter
{
  "success": false,
  "error": "must have required property 'integrationId' [invalid-params]",
  "errorType": "invalid-params"
}
Invalid Integration
{
  "success": false,
  "error": "Invalid integration [error-invalid-integration]",
  "errorType": "error-invalid-integration"
}
Not Authorized for this Integration
{
  "success": false,
  "error": "Unauthorized [not_authorized]",
  "errorType": "not_authorized"
}
object
success
boolean
error
string
errorType
string
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string